libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::HandlerTime Class Reference

Default handler for time, date and timestamp. More...

Inheritance diagram for Gnome::Gda::HandlerTime:

[legend]
List of all members.

## Public Member Functions

const GdaHandlerTime* | gobj () const
| Provides access to the underlying C GObject.
GdaHandlerTime* | gobj ()
| Provides access to the underlying C GObject.
GdaHandlerTime* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
virtual | ~HandlerTime ()

## Static Public Member Functions

static Glib::RefPtr<HandlerTime> | create ()

## Protected Member Functions

| HandlerTime ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::HandlerTime> | wrap (GdaHandlerTime* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Default handler for time, date and timestamp.

## Constructor & Destructor Documentation

virtual Gnome::Gda::HandlerTime::~HandlerTime | ( |  | ) | `[virtual]`

Gnome::Gda::HandlerTime::HandlerTime | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<HandlerTime> Gnome::Gda::HandlerTime::create | ( |  | ) | `[static]`

Reimplemented from Gnome::Gda::Object.

const GdaHandlerTime* Gnome::Gda::HandlerTime::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataHandler.

GdaHandlerTime* Gnome::Gda::HandlerTime::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataHandler.

GdaHandlerTime* Gnome::Gda::HandlerTime::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gnome::Gda::Object.

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::HandlerTime> wrap | ( | GdaHandlerTime * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- handlertime.h